Name:           puppet-cernbox
Version:        2.0
Release:        1%{?dist}
Summary:        Masterless puppet module for cernbox client

Group:          CERN/Utilities
License:        BSD
URL:            http://linux.cern.ch
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch

%description
Masterless puppet module for cernbox

%prep
%setup -n code

%build
CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/cernbox/
cp -ra * %{buildroot}/%{_datadir}/puppet/modules/cernbox/
touch %{buildroot}/%{_datadir}/puppet/modules/cernbox/linuxsupport

%files -n puppet-cernbox
%{_datadir}/puppet/modules/cernbox
%doc README.md

%changelog
* Thu May 03 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-1
- Rebuild for 7.5 release

* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3 release

* Tue Jul 26 2016 Aris Boutselis <aris.boutselis@cern.ch>
- Initial Release
- Install cernbox client
